%define upstream_name	 Class-DBI-Plugin-AbstractCount
%define upstream_version 0.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12

Summary:	Get COUNT(*) results with abstract SQL
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(SQL::Abstract) >= 1.1
BuildRequires:  perl(Class::DBI::Plugin) >= 0.02
BuildRequires:	perl(Class::DBI) >= 0.95
BuildRequires:	perl(Test::Deep)
BuildArch: noarch


%description
This Class::DBI plugin combines the functionality from
Class::DBI::Plugin::CountSearch (counting objects without
having to use an array or an iterator), and
Class::DBI::AbstractSearch, which allows complex
where-clauses a la SQL::Abstract.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.80.0-12.mga10
+ Revision: 2197902
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-11.mga9
+ Revision: 1802432
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-10.mga8
+ Revision: 1493535
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-9.mga7
+ Revision: 1266311
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-8.mga6
+ Revision: 1023950
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-7.mga6
+ Revision: 946995
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 741675
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 538447
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.80.0-2.mga4
+ Revision: 489690
- Add missing BR

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 33619
- mageia rebuild
- imported package perl-Class-DBI-Plugin-AbstractCount

